<?php
/**
 * @version		1.0.5
 * @package		Joomla
 * @subpackage	Edocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die ;
jimport( 'joomla.application.component.view');
/**
 * HTML View class for Edocman component
 *
 * @static
 * @package		Joomla
 * @subpackage	Edocman
 * @since 1.5
 */
class EdocmanViewConfiguration extends JView
{
	function display($tpl = null)
	{			    	    
		$db = & JFactory::getDBO();
		$config = $this->get('Data');
						
		$lists['enable_cart'] = JHTML::_('select.booleanlist', 'enable_cart', ' class="inputbox" ', $config->enable_cart);											
		$lists['process_plugin'] = JHTML::_('select.booleanlist', 'process_plugin', ' class="inputbox" ', $config->process_plugin);
		$lists['download_log'] = JHTML::_('select.booleanlist', 'download_log', ' class="inputbox" ', $config->download_log);
					
		$lists['activate_herachical_folder_structure'] = JHTML::_('select.booleanlist', 'activate_herachical_folder_structure', ' class="inputbox" ', $config->activate_herachical_folder_structure);
		$lists['activate_multilingual_feature'] = JHTML::_('select.booleanlist', 'activate_multilingual_feature', ' class="inputbox" ', $config->activate_multilingual_feature);
		
				
		$options = array() ;
		$options[] = JHtml::_('select.option', 0, JText::_('Upload new file for each document'));
		$options[] = JHtml::_('select.option', 1, JText::_('Choose file from server'));
		
		$lists['file_upload_method'] = JHtml::_('select.genericlist', $options, 'file_upload_method', 'class="inputbox"', 'value', 'text', $config->file_upload_method);
		
		$options = array() ;
		$options[] =  JHtml::_('select.option',  0, JText::_('Select')); 
		$options[] = JHtml::_('select.option', '1', JText::_('Byte'));
		$options[] = JHtml::_('select.option', '2', JText::_('Kb'));
		$options[] = JHtml::_('select.option', '3', JText::_('Mb'));
		$lists['max_filesize_type'] = JHTML::_('select.genericlist', $options, 'max_filesize_type', '', 'value', 'text', $config->max_filesize_type ? $config->max_filesize_type : 3);
		
		/*** ajout filename ascii ***/
		$lists['require_ascii_filename'] = JHTML::_('select.booleanlist', 'require_ascii_filename', '', $config->require_ascii_filename);
		/****************************/
		
		$lists['require_admin_approve'] = JHTML::_('select.booleanlist', 'require_admin_approve', ' class="inputbox" ', $config->require_admin_approve);
																								
		$lists['download_notification'] = JHTML::_('select.booleanlist', 'download_notification', ' class="inputbox" ', $config->download_notification);
		//User upload settings			
		$lists['upload_notification'] = JHTML::_('select.booleanlist', 'upload_notification', ' class="inputbox" ', $config->upload_notification);
		
		$lists['show_empty_cat'] = JHTML::_('select.booleanlist', 'show_empty_cat', '', $config->show_empty_cat);		
		$lists['show_number_documents'] = JHTML::_('select.booleanlist', 'show_number_documents', '', $config->show_number_documents);
		$lists['number_categories'] = JHTML::_('select.booleanlist', 'number_categories', '', $config->number_categories);
				
		$lists['number_documents'] = JHTML::_('select.booleanlist', 'number_documents', '', $config->number_documents);			

		//Sub-categories settings
		$lists['show_subcategory_icon'] = JHTML::_('select.booleanlist', 'show_subcategory_icon', '', $config->show_subcategory_icon);
		$lists['show_subcategory_description'] = JHTML::_('select.booleanlist', 'show_subcategory_description', '', $config->show_subcategory_description);
		
		
		$lists['show_view_button'] = JHTML::_('select.booleanlist', 'show_view_button', '', $config->show_view_button);		
		
		/*** ajout short_description et description ***/
		$lists['show_short_description'] = JHTML::_('select.booleanlist', 'show_short_description', '', $config->show_short_description);
		$lists['show_description'] = JHTML::_('select.booleanlist', 'show_description', '', $config->show_description);
		/*************************/
		
		$lists['show_hits'] = JHTML::_('select.booleanlist', 'show_hits', '', $config->show_hits);
		$lists['show_filename'] = JHTML::_('select.booleanlist', 'show_filename', '', $config->show_filename);
		$lists['show_filesize'] = JHTML::_('select.booleanlist', 'show_filesize', '', $config->show_filesize);
		$lists['show_filetype'] = JHTML::_('select.booleanlist', 'show_filetype', '', $config->show_filetype);
		$lists['show_creation_date'] = JHTML::_('select.booleanlist', 'show_creation_date', '', $config->show_creation_date);
		$lists['show_modified_date'] = JHTML::_('select.booleanlist', 'show_modified_date', '', $config->show_modified_date);		
		$lists['show_detail_in_popup'] = JHTML::_('select.booleanlist', 'show_detail_in_popup', '', $config->show_detail_in_popup);
		$lists['show_publish_date'] = JHTML::_('select.booleanlist', 'show_publish_date', '', $config->show_publish_date);		
		$lists['show_sort_options'] = JHTML::_('select.booleanlist', 'show_sort_options', '', $config->show_sort_options);
				
		$options = array();
		$options[] = JHTML::_('select.option', 'a.title', JText::_('COM_EDOCMAN_TITLE'));
		$options[] = JHTML::_('select.option', 'a.created_time', JText::_('COM_EDOCMAN_DATE'));
		$options[] = JHTML::_('select.option', 'a.ordering', JText::_('COM_EDOCMAN_ORDERING'));			
		$lists['default_sort_option'] = JHTML::_('select.genericlist', $options, 'default_sort_option', '', 'value', 'text', $config->default_sort_option ? $config->default_sort_option : 'a.ordering');

		$options = array();
		$options[] = JHTML::_('select.option', 'asc', JText::_('COM_EDOCMAN_ASC'));
		$options[] = JHTML::_('select.option', 'desc', JText::_('COM_EDOCMAN_DESC'));
		$lists['default_sort_direction'] = JHTML::_('select.genericlist', $options, 'default_sort_direction', '', 'value', 'text', $config->default_sort_direction);								 		
		//Fields configuration		
		
		$lists['s_lastname'] = JHTML::_('select.booleanlist', 's_lastname', '', $config->s_lastname);
		$lists['r_lastname'] = JHTML::_('select.booleanlist', 'r_lastname', '', $config->r_lastname);		
		$lists['s_organization'] = JHTML::_('select.booleanlist', 's_organization', '', $config->s_organization);
		$lists['r_organization'] = JHTML::_('select.booleanlist', 'r_organization', '', $config->r_organization);
		$lists['s_address'] = JHTML::_('select.booleanlist', 's_address', '', $config->s_address);
		$lists['r_address'] = JHTML::_('select.booleanlist', 'r_address', '', $config->r_address);		
		$lists['s_address2'] = JHTML::_('select.booleanlist', 's_address2', '', $config->s_address2);
		$lists['r_address2'] = JHTML::_('select.booleanlist', 'r_address2', '', $config->r_address2);
		$lists['s_city'] = JHTML::_('select.booleanlist', 's_city', '', $config->s_city);
		$lists['r_city'] = JHTML::_('select.booleanlist', 'r_city', '', $config->r_city);
		$lists['s_state'] = JHTML::_('select.booleanlist', 's_state', '', $config->s_state);
		$lists['r_state'] = JHTML::_('select.booleanlist', 'r_state', '', $config->r_state);
		$lists['s_zip'] = JHTML::_('select.booleanlist', 's_zip', '', $config->s_zip);
		$lists['r_zip'] = JHTML::_('select.booleanlist', 'r_zip', '', $config->r_zip);
		$lists['s_country'] = JHTML::_('select.booleanlist', 's_country', '', $config->s_country);
		$lists['r_country'] = JHTML::_('select.booleanlist', 'r_country', '', $config->r_country);
		$lists['s_phone'] = JHTML::_('select.booleanlist', 's_phone', '', $config->s_phone);
		$lists['r_phone'] = JHTML::_('select.booleanlist', 'r_phone', '', $config->r_phone);
		$lists['s_fax'] = JHTML::_('select.booleanlist', 's_fax', '', $config->s_fax);
		$lists['r_fax'] = JHTML::_('select.booleanlist', 'r_fax', '', $config->r_fax);
		$lists['s_comment'] = JHTML::_('select.booleanlist', 's_comment', '', $config->s_comment);
		$lists['r_comment'] = JHTML::_('select.booleanlist', 'r_comment', '', $config->r_comment);
		
		
		$lists['insert_menu_title'] = JHTML::_('select.booleanlist', 'insert_menu_title', '', $config->insert_menu_title);
		$lists['insert_document_id'] = JHTML::_('select.booleanlist', 'insert_document_id', '', $config->insert_document_id);
		$lists['insert_document_title'] = JHTML::_('select.booleanlist', 'insert_document_title', '', $config->insert_document_title);
		$lists['insert_category_id'] = JHTML::_('select.booleanlist', 'insert_category_id', '', $config->insert_category_id);
		$options = array() ;
		$options[] = JHTML::_('select.option', 0, JText::_('All nested categories'));
		$options[] = JHTML::_('select.option', 1, JText::_('Only the last one'));
		$lists['insert_category'] = JHTML::_('select.genericlist', $options, 'insert_category', ' class="inputbox"', 'value', 'text', $config->insert_category);
										
		$path = JPATH_ROOT.DS.'edocman' ;
		$path = str_replace("\\", "/", $path) ;
		//Get tab object
		jimport('joomla.html.pane');		
		$tabConfig = array('useCookies' => 1);
		$tabs = JPane::getInstance('Tabs', $tabConfig);				
		$this->assignRef('lists',		$lists);
		$this->assignRef('config',		$config);		
		$this->assignRef('tabs', $tabs);
		$this->assignRef('path', $path) ;		
		parent::display($tpl);			
	}
}